## com.fasterxml.jackson.databind.deser
Class DefaultDeserializationContext

    java.lang.Object
      com.fasterxml.jackson.databind.DeserializationContext
          com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

Direct Known Subclasses:
  DefaultDeserializationContext.Impl

    public abstract class DefaultDeserializationContext

extends DeserializationContext

Default `DeserializationContext` implementation that adds extended API for `ObjectMapper` (and `ObjectReader`) to call, as well as implements certain parts that base class has left abstract.

Nested Class Summary
`static class` `DefaultDeserializationContext.Impl`

Field Summary
`protected LinkedHashMap<com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey,ReadableObjectId>` `_objectIds`

Fields inherited from class com.fasterxml.jackson.databind.DeserializationContext
`_arrayBuilders, _cache, _config, _dateFormat, _factory, _featureFlags, _injectableValues, _objectBuffer, _parser, _view`

Constructor Summary
`protected` `DefaultDeserializationContext(DefaultDeserializationContext src, DeserializationConfig config, com.fasterxml.jackson.core.JsonParser jp, InjectableValues values)`
`protected` `DefaultDeserializationContext(DefaultDeserializationContext src, DeserializerFactory factory)`
`protected` `DefaultDeserializationContext(DeserializerFactory df, DeserializerCache cache)` Constructor that will pass specified deserializer factory and cache: cache may be null (in which case default implementation will be used), factory can not be null

Method Summary
`abstract DefaultDeserializationContext` `createInstance(DeserializationConfig config, com.fasterxml.jackson.core.JsonParser jp, InjectableValues values)` Method called to create actual usable per-deserialization context instance.
`JsonDeserializer<Object>` `deserializerInstance(Annotated annotated, Object deserDef)`
`ReadableObjectId` `findObjectId(Object id, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator)` Method called to find and return entry corresponding to given Object Id: will add an entry if necessary, and never returns null
`KeyDeserializer` `keyDeserializerInstance(Annotated annotated, Object deserDef)`
`com.fasterxml.jackson.annotation.ObjectIdGenerator<?>` `objectIdGeneratorInstance(Annotated annotated, ObjectIdInfo objectIdInfo)`
`abstract DefaultDeserializationContext` `with(DeserializerFactory factory)` Fluent factory method used for constructing a blueprint instance with different factory

Methods inherited from class com.fasterxml.jackson.databind.DeserializationContext

`_calcName, _desc, _valueDesc, canOverrideAccessModifiers, constructCalendar, constructType, determineClassName, findClass, findContextualValueDeserializer, findInjectableValue, findKeyDeserializer, findRootValueDeserializer, getActiveView, getAnnotationIntrospector, getArrayBuilders, getBase64Variant, getConfig, getDateFormat, getLocale, getNodeFactory, getParser, getTimeZone, getTypeFactory, handleUnknownProperty, hasValueDeserializerFor, instantiationException, instantiationException, isEnabled, isEnabled, leaseObjectBuffer, mappingException, mappingException, mappingException, parseDate, reportUnknownProperty, returnObjectBuffer, unknownTypeException, weirdKeyException, weirdNumberException, weirdStringException, wrongTokenException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _objectIds

    protected LinkedHashMap<com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey,ReadableObjectId> _objectIds

Constructor Detail

### DefaultDeserializationContext

    protected DefaultDeserializationContext(DeserializerFactory df,
                                            DeserializerCache cache)

  Constructor that will pass specified deserializer factory and cache: cache may be null (in which case default implementation will be used), factory can not be null

### DefaultDeserializationContext

    protected DefaultDeserializationContext(DefaultDeserializationContext src,
                                            DeserializationConfig config,
                                            com.fasterxml.jackson.core.JsonParser jp,
                                            InjectableValues values)

### DefaultDeserializationContext

    protected DefaultDeserializationContext(DefaultDeserializationContext src,
                                            DeserializerFactory factory)

Method Detail

### findObjectId

    public ReadableObjectId findObjectId(Object id,
                                         com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator)

  Description copied from class: `DeserializationContext`
  Method called to find and return entry corresponding to given Object Id: will add an entry if necessary, and never returns null

  Specified by:
    `findObjectId` in class `DeserializationContext`

### objectIdGeneratorInstance

    public com.fasterxml.jackson.annotation.ObjectIdGenerator<?> objectIdGeneratorInstance(Annotated annotated,
                                                                                           ObjectIdInfo objectIdInfo)
                                                                                    throws JsonMappingException

  Specified by:
    `objectIdGeneratorInstance` in class `DeserializationContext`
  Throws:
    `JsonMappingException`

### deserializerInstance

    public JsonDeserializer<Object> deserializerInstance(Annotated annotated,
                                                         Object deserDef)
                                                  throws JsonMappingException

  Specified by:
    `deserializerInstance` in class `DeserializationContext`
  Throws:
    `JsonMappingException`

### keyDeserializerInstance

    public final KeyDeserializer keyDeserializerInstance(Annotated annotated,
                                                         Object deserDef)
                                                  throws JsonMappingException

  Specified by:
    `keyDeserializerInstance` in class `DeserializationContext`
  Throws:
    `JsonMappingException`

### with

    public abstract DefaultDeserializationContext with(DeserializerFactory factory)

  Fluent factory method used for constructing a blueprint instance with different factory

### createInstance

    public abstract DefaultDeserializationContext createInstance(DeserializationConfig config,
                                                                 com.fasterxml.jackson.core.JsonParser jp,
                                                                 InjectableValues values)

  Method called to create actual usable per-deserialization context instance.

Copyright © 2012 fasterxml.com. All Rights Reserved.